> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List operating systems

> Lists all operating systems available to deploy and reinstall.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /plans/operating_systems
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /plans/operating_systems:
    get:
      tags:
        - Operating Systems
      summary: List operating systems
      description: |
        Lists all operating systems available to deploy and reinstall.
      operationId: get-plans-operating-system
      parameters:
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 20
          required: false
          description: Number of items to return per page
        - name: page[number]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          description: Page number to return (starts at 1)
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: os_mw49QDB5qagKb
                        type: operating_system
                        attributes:
                          name: windows_server_2012_r2_std_v281 11.77
                          distro: CentOS 1
                          slug: debian_121
                          version: '11.77'
                          user: Rosalinda
                          features: {}
                          provisionable_on:
                            - g3.a100.medium-39
                            - c2.medium.x86-40
                    meta: {}
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/operating_systems'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.operating_systems.list(page_size=20, page_number=1)

                while res is not None:
                    # Handle items

                    res = res.next()
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.OperatingSystems.ListPlans(ctx, latitudeshgosdk.Pointer[int64](20), latitudeshgosdk.Pointer[int64](1))\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.operatingSystems.listPlans({});

              for await (const page of result) {
                console.log(page);
              }
            }

            run();
components:
  schemas:
    operating_systems:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/operating_system_data'
        meta:
          type: object
    operating_system_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - operating_systems
        attributes:
          type: object
          properties:
            features:
              type: object
              properties:
                raid:
                  type: boolean
                ssh_keys:
                  type: boolean
                user_data:
                  type: boolean
            name:
              type: string
            slug:
              type: string
            distro:
              type: string
            user:
              type: string
            version:
              type: string
            provisionable_on:
              type: array
              items:
                type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````